Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 5)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 6, 7, 8 ... 19, 20, 21  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Shining Arcanine
Veteran
Veteran


Joined: 24 Sep 2009
Posts: 1110

PostPosted: Mon Dec 13, 2010 9:15 am    Post subject: Reply with quote

genstorm wrote:
Seems my recent PyQt4/pykde4 issues were related to qt-gui[egl] and qt-opengl[egl], that USE-flag currently isn't safe.


Did you file a bug report?
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Mon Dec 13, 2010 2:50 pm    Post subject: Reply with quote

genstorm wrote:
So, how is 4.6 beta2 working for you guys so far? I am tempted to jump kde-4.stable-ship again.


beta2 runs fine and stable.
But i cant send Mails with kmail ...
... and kget dosn't compile

But all the rest looks good
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2761
Location: Gainesville, Florida

PostPosted: Mon Dec 13, 2010 6:18 pm    Post subject: Reply with quote

On both my kde-live and kde-4.5.85 installs, I had the pykde4 and PyQt4 compiling issues, but running python-updater seemed to resolve that.

On my kde-live, Kmail works, but I haven't tried it yet on 4.5.85.

On both 4.5.80 and 4.5.85, I have had another issue with all panel app launching icons not working. I tried a new test user, and removing/re-adding items to the panel, but still have the same problem. Previously with kde-live I also had that problem, but it apparently was fixed in the last week or two, as kde-live panel now works as expected.
_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.15.5-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2463
Location: Austria

PostPosted: Tue Dec 14, 2010 6:32 pm    Post subject: Reply with quote

Shining Arcanine wrote:
genstorm wrote:
Seems my recent PyQt4/pykde4 issues were related to qt-gui[egl] and qt-opengl[egl], that USE-flag currently isn't safe.


Did you file a bug report?

It is known already.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
ponciarello
Apprentice
Apprentice


Joined: 22 Jul 2008
Posts: 223
Location: beach of slack

PostPosted: Wed Dec 15, 2010 2:05 pm    Post subject: Reply with quote

for kmail this helped me

Quote:
I opened akonadiconsole and add Mail Dispatcher Agent.

_________________
look for monty python channel on youtube :D
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2761
Location: Gainesville, Florida

PostPosted: Thu Dec 16, 2010 1:51 am    Post subject: Reply with quote

The panel app icons not working problem has a workaround. I posted on the Mandriva Cooker forum, as I keep Cooker on a spare partition and had the same problem with 4.5.85 as i do on Gentoo 4.5.85. I received an answer to simply lock the panel widgets, and that allows the icons to function normally.

Haven't looked at why this works exactly. Any ideas why it works, and what the "real" fix would be?
_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.15.5-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
Tolstoi
l33t
l33t


Joined: 20 May 2004
Posts: 645

PostPosted: Thu Dec 16, 2010 6:51 pm    Post subject: Reply with quote

Thanks wrc1944, worked fine over here.
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Fri Dec 17, 2010 8:03 pm    Post subject: Reply with quote

Can someone with 32bit KDE 4.5.85 do me a very big favor?

please emerge oxygen-gtk 1.0.0 and send me the compiled binaries.

I got a 64-bit system, and setting up a 32bit chroot just to make 32bit gtk apps look better is a bit too much...
much appreciated. thanks!
_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2463
Location: Austria

PostPosted: Sat Dec 18, 2010 12:03 pm    Post subject: Reply with quote

TheDodger wrote:
genstorm wrote:
So, how is 4.6 beta2 working for you guys so far? I am tempted to jump kde-4.stable-ship again.


beta2 runs fine and stable.
But i cant send Mails with kmail ...
... and kget dosn't compile

++ I think this is the smoothest 4.x.85 experience so far. Plus, I can send mails + kget built fine, I haven't had one issue.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Geos_One
Apprentice
Apprentice


Joined: 15 Sep 2005
Posts: 249
Location: Austria,Graz

PostPosted: Tue Dec 21, 2010 10:42 am    Post subject: akonadi Reply with quote

i am recompiling the world at the moment and kdepimlib is failing

/var/tmp/portage/kde-base/kdepimlibs-4.5.85/work/kdepimlibs-4.5.85_build/akonadi/resourceadaptor.cpp: In member function ‘void Akonadi__ResourceAdaptor::synchronizeCollection(qlonglong, bool)’:
/var/tmp/portage/kde-base/kdepimlibs-4.5.85/work/kdepimlibs-4.5.85_build/akonadi/resourceadaptor.cpp:63:60: error: no matching function for call to ‘Akonadi::ResourceBase::synchronizeCollection(qlonglong&, bool&)’
/var/tmp/portage/kde-base/kdepimlibs-4.5.85/work/kdepimlibs-4.5.85/akonadi/resourcebase.h:460:10: note: candidate is: void Akonadi::ResourceBase::synchronizeCollection(qint64)
make[2]: *** [akonadi/CMakeFiles/akonadi-kde.dir/resourceadaptor.o] Error 1
make[2]: *** Waiting for unfinished jobs....

any advice welcome
Back to top
View user's profile Send private message
feivelda
Guru
Guru


Joined: 21 Feb 2005
Posts: 480
Location: Frankfurt, Germany

PostPosted: Tue Dec 21, 2010 10:22 pm    Post subject: Reply with quote

using akonadi-server-9999 does not solve the issue :(
Back to top
View user's profile Send private message
Geos_One
Apprentice
Apprentice


Joined: 15 Sep 2005
Posts: 249
Location: Austria,Graz

PostPosted: Tue Dec 21, 2010 10:57 pm    Post subject: Reply with quote

feivelda wrote:
using akonadi-server-9999 does not solve the issue :(


as far as i can tell akonadi-server in kde overlay 1.4.90 is to new for kdepimlibs
have not tested jet to downgrade to the old version 1.4.8x i dont know what version
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5384
Location: Langen (Hessen), Germany

PostPosted: Wed Dec 22, 2010 7:10 am    Post subject: Reply with quote

Today RC1 will be released. Or is 4.5.86 RC1?

Thank you
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2463
Location: Austria

PostPosted: Wed Dec 22, 2010 8:29 am    Post subject: Reply with quote

methinks RC1 would be 4.5.90 then?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2761
Location: Gainesville, Florida

PostPosted: Wed Dec 22, 2010 6:31 pm    Post subject: Reply with quote

Just tried to update my kde-live 9999 installation, and kdelibs fails on a patch. :( Here's the info: (BTW, AFAIK 4.5.90 is rc1)
Code:
U    kdewebkit/kgraphicswebview.h
U    kdewebkit/kwebpage.h
Updated to revision 1208654.
 *    working copy: /usr/portage/distfiles/svn-src/kdelibs/kdelibs

>>> Source unpacked in /var/tmp/portage/kde-base/kdelibs-9999/work
>>> Preparing source in /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999 ...
 * Applying 01_gentoo_set_xdg_menu_prefix.patch ...                                                                                                          [ ok ]
 * Applying 02_gentoo_append_xdg_config_dirs-1.patch ...                                                                                                     [ ok ]
 * Applying kdelibs-4.4.3-mimetypes.patch ...

 * Failed Patch: kdelibs-4.4.3-mimetypes.patch !
 *  ( /var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/kde-base/kdelibs-9999/temp/kdelibs-4.4.3-mimetypes.patch.out

kdelibs-4.4.3-mimetypes.patch.out reports this:
Code:
***** kdelibs-4.4.3-mimetypes.patch *****

=========================================

PATCH COMMAND:  patch -p0 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -r -u kdelibs-4.4.3.orig/mimetypes/kde.xml kdelibs-4.4.3/mimetypes/kde.xml
|--- kdelibs-4.4.3.orig/mimetypes/kde.xml   2009-10-06 23:37:48.000000000 +0200
|+++ kdelibs-4.4.3/mimetypes/kde.xml   2010-05-28 22:48:51.000000000 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=========================================

PATCH COMMAND:  patch -p1 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
patching file mimetypes/kde.xml
Hunk #1 FAILED at 180.
Hunk #2 succeeded at 346 (offset -3 lines).
1 out of 2 hunks FAILED -- saving rejects to file mimetypes/kde.xml.rej
=========================================

PATCH COMMAND:  patch -p2 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -r -u kdelibs-4.4.3.orig/mimetypes/kde.xml kdelibs-4.4.3/mimetypes/kde.xml
|--- kdelibs-4.4.3.orig/mimetypes/kde.xml   2009-10-06 23:37:48.000000000 +0200
|+++ kdelibs-4.4.3/mimetypes/kde.xml   2010-05-28 22:48:51.000000000 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=========================================

PATCH COMMAND:  patch -p3 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -r -u kdelibs-4.4.3.orig/mimetypes/kde.xml kdelibs-4.4.3/mimetypes/kde.xml
|--- kdelibs-4.4.3.orig/mimetypes/kde.xml   2009-10-06 23:37:48.000000000 +0200
|+++ kdelibs-4.4.3/mimetypes/kde.xml   2010-05-28 22:48:51.000000000 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=========================================

PATCH COMMAND:  patch -p4 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -r -u kdelibs-4.4.3.orig/mimetypes/kde.xml kdelibs-4.4.3/mimetypes/kde.xml
|--- kdelibs-4.4.3.orig/mimetypes/kde.xml   2009-10-06 23:37:48.000000000 +0200
|+++ kdelibs-4.4.3/mimetypes/kde.xml   2010-05-28 22:48:51.000000000 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored

I looked in var/lib/layman//kde/kde-base/kdelibs/files/, and the patch is there:
Code:
 diff -r -u kdelibs-4.4.3.orig/mimetypes/kde.xml kdelibs-4.4.3/mimetypes/kde.xml
--- kdelibs-4.4.3.orig/mimetypes/kde.xml   2009-10-06 23:37:48.000000000 +0200
+++ kdelibs-4.4.3/mimetypes/kde.xml   2010-05-28 22:48:51.000000000 +0200
@@ -180,41 +180,6 @@
     <root-XML namespaceURI="http://www.gribuser.ru/xml/fictionbook/2.0" localName="FictionBook"/>
   </mime-type>
 
-  <!-- all/ fake mime types -->
-  <mime-type type="all/all">
-    <comment>all files and folders</comment>
-  </mime-type>
-  <mime-type type="all/allfiles">
-    <comment>all files</comment>
-  </mime-type>
-
-  <!-- uri/ fake mime types -->
-  <mime-type type="uri/mms">
-    <comment>mms: URIs</comment>
-  </mime-type>
-  <mime-type type="uri/mmst">
-    <comment>mmst: URIs</comment>
-  </mime-type>
-  <mime-type type="uri/mmsu">
-    <comment>mmsu: URIs</comment>
-  </mime-type>
-  <mime-type type="uri/pnm">
-    <comment>pnm: URIs</comment>
-  </mime-type>
-  <mime-type type="uri/rtspt">
-    <comment>rtspt: URIs</comment>
-  </mime-type>
-  <mime-type type="uri/rtspu">
-    <comment>rtspu: URIs</comment>
-  </mime-type>
-
-  <!-- fonts/ fake mime types -->
-  <mime-type type="fonts/package">
-    <sub-class-of type="application/zip"/>
-    <comment>fonts package</comment>
-    <glob pattern="*.fonts.zip"/>
-  </mime-type>
-
   <mime-type type="application/x-konsole">
     <comment>file to open a shell</comment>
     <glob pattern="*.shell"/>
@@ -349,12 +314,6 @@
     <glob pattern="*.icq"/>
   </mime-type>
 
-  <mime-type type="interface/x-winamp-skin">
-    <sub-class-of type="application/zip"/>
-    <comment>compressed Winamp skin</comment>
-    <glob pattern="*.wsz"/>
-  </mime-type>
-
   <mime-type type="video/x-ms-wmp"> <!-- fdo #19671, rejected because "not a file type, only a plugin type" -->
     <comment>Microsoft Media Format</comment>
     <sub-class-of type="video/x-ms-wmv"/>

_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.15.5-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
Earthwings
Administrator
Administrator


Joined: 14 Apr 2003
Posts: 7751
Location: Karlsruhe, Germany

PostPosted: Wed Dec 22, 2010 9:02 pm    Post subject: Reply with quote

genstorm wrote:
methinks RC1 would be 4.5.90 then?

Yes, that's right. It was tagged today and 4.6 was branched off. Therefore trunk is now what will become KDE 4.7 at some point (or an equivalent git repository).
_________________
KDE 4.13 - Get It While It's Hot!
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2761
Location: Gainesville, Florida

PostPosted: Wed Dec 22, 2010 10:06 pm    Post subject: Reply with quote

I commented out the patch in the kdelibs-9999 ebuild, re-digested, and it seemed to compile fine, along with the rest of my normal kde packages.

However, on reboot it boots OK, and looks normal, but while the pointer moves around the nice desktop, it basically doesn't function at all (no right, left, or middle click response).

It did open konqueror after about 7-8 minutes, but wouldn't do anything else. No Kmenu fuctions either, so I had to cold reboot into gnome.

Guess that kdelibs really needs that mimetypes patch, or something else is seriousaly wrong. Gnome functions normally, so I guess that eliminates any xorg/hal keyboard/mouse problem.

Will try again later, unless any ideas out there as to how to fix the patch so it will apply to kdelibs?
_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.15.5-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5384
Location: Langen (Hessen), Germany

PostPosted: Wed Dec 22, 2010 10:48 pm    Post subject: Reply with quote

4.5.90 (RC1) is out :)
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Thu Dec 23, 2010 2:11 am    Post subject: Reply with quote

But we gonna need ebuild for this also:

ftp://ftp.kde.org/pub/kde/unstable/kdepim/4.5.93/

as the kdepim splitted once again from mainstream. Hopefully they can make it into KDE 4.6.1
Back to top
View user's profile Send private message
ScytheMan
l33t
l33t


Joined: 30 Nov 2005
Posts: 605

PostPosted: Thu Dec 23, 2010 4:54 am    Post subject: Reply with quote

which soprano version do i need to use?
2.5.63_pre20101127 doesn't work. and i don't want 9999 :/
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2761
Location: Gainesville, Florida

PostPosted: Thu Dec 23, 2010 6:52 am    Post subject: Reply with quote

Got a similar kdelibs-4.4.3-mimetypes.patch problem as on kde-live. Not sure if it was the exact same Failed Patch: ${patchname}!"; on kde-live, but this is what kdelibs-4.5.90 does"
Code:
>>> Unpacking kdelibs-4.5.90.tar.bz2 to /var/tmp/portage/kde-base/kdelibs-4.5.90/work
>>> Source unpacked in /var/tmp/portage/kde-base/kdelibs-4.5.90/work
>>> Preparing source in /var/tmp/portage/kde-base/kdelibs-4.5.90/work/kdelibs-4.5.90 ...
 * Applying 01_gentoo_set_xdg_menu_prefix.patch ...                                                       [ ok ]
 * Applying 02_gentoo_append_xdg_config_dirs-1.patch ...                                                  [ ok ]
 * Applying kdelibs-4.4.3-mimetypes.patch ...

 * Failed Patch: kdelibs-4.4.3-mimetypes.patch !
 *  ( /var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/kde-base/kdelibs-4.5.90/temp/kdelibs-4.4.3-mimetypes.patch.out

 * ERROR: kde-base/kdelibs-4.5.90 failed:
 *   Failed Patch: kdelibs-4.4.3-mimetypes.patch!
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 4168:  Called kde4-base_src_prepare
 *   environment, line 3230:  Called base_src_prepare
 *   environment, line 1034:  Called epatch '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'
 *   environment, line 2266:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";


I looked at all the Call stack files, but can't figure out where it's going wrong. Here's the patch.out file. Do we need to change the patch command? But to what, exactly?
Code:
***** kdelibs-4.4.3-mimetypes.patch *****

=========================================

PATCH COMMAND:  patch -p0 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -r -u kdelibs-4.4.3.orig/mimetypes/kde.xml kdelibs-4.4.3/mimetypes/kde.xml
|--- kdelibs-4.4.3.orig/mimetypes/kde.xml   2009-10-06 23:37:48.000000000 +0200
|+++ kdelibs-4.4.3/mimetypes/kde.xml   2010-05-28 22:48:51.000000000 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=========================================

PATCH COMMAND:  patch -p1 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
patching file mimetypes/kde.xml
Hunk #1 FAILED at 180.
Hunk #2 succeeded at 346 (offset -3 lines).
1 out of 2 hunks FAILED -- saving rejects to file mimetypes/kde.xml.rej
=========================================

PATCH COMMAND:  patch -p2 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -r -u kdelibs-4.4.3.orig/mimetypes/kde.xml kdelibs-4.4.3/mimetypes/kde.xml
|--- kdelibs-4.4.3.orig/mimetypes/kde.xml   2009-10-06 23:37:48.000000000 +0200
|+++ kdelibs-4.4.3/mimetypes/kde.xml   2010-05-28 22:48:51.000000000 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=========================================

PATCH COMMAND:  patch -p3 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -r -u kdelibs-4.4.3.orig/mimetypes/kde.xml kdelibs-4.4.3/mimetypes/kde.xml
|--- kdelibs-4.4.3.orig/mimetypes/kde.xml   2009-10-06 23:37:48.000000000 +0200
|+++ kdelibs-4.4.3/mimetypes/kde.xml   2010-05-28 22:48:51.000000000 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=========================================

PATCH COMMAND:  patch -p4 -g0 -E --no-backup-if-mismatch < '/var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch'

=========================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -r -u kdelibs-4.4.3.orig/mimetypes/kde.xml kdelibs-4.4.3/mimetypes/kde.xml
|--- kdelibs-4.4.3.orig/mimetypes/kde.xml   2009-10-06 23:37:48.000000000 +0200
|+++ kdelibs-4.4.3/mimetypes/kde.xml   2010-05-28 22:48:51.000000000 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored


@ScytheMan,
I put dev-libs/soprano ** in /etc/portage/package.keywords, and got the 9999. Maybe we have to temporarily use 9999 on this?
_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.15.5-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Thu Dec 23, 2010 8:03 am    Post subject: kdelibs-4.5.90 Reply with quote

* Messages for package kde-base/kdelibs-4.5.90:

* Failed Patch: kdelibs-4.4.3-mimetypes.patch !
* ( /var/lib/layman/kde/kde-base/kdelibs/files/kdelibs-4.4.3-mimetypes.patch )
Back to top
View user's profile Send private message
letchideslandes
Apprentice
Apprentice


Joined: 21 Nov 2004
Posts: 187
Location: Landes France

PostPosted: Thu Dec 23, 2010 8:28 am    Post subject: Reply with quote

kdelibs need herqq for upnp support in kio-slave but there is'nt any ebuild for it in portage. Dommage
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2761
Location: Gainesville, Florida

PostPosted: Thu Dec 23, 2010 10:28 am    Post subject: Reply with quote

Now pykde4-4.5.90 fails. Did python-updater, rebuilt related packages (sip included), and revdep-build is consistent. Nothing on bugzilla. Don't recall ever seeing or needing parts of kdebindings before- isn't that just for devs?
Code:
 >>> Emerging (1 of 77) kde-base/pykde4-4.5.90 from kde
 * kdebindings-4.5.90.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                      [ ok ]
 * Package:    kde-base/pykde4-4.5.90
 * Repository: kde
 * Maintainer: kde@gentoo.org
 * USE:  elibc_glibc kernel_linux userland_GNU x86
>>> Unpacking source...
 * Unpacking parts of kdebindings-4.5.90.tar.bz2 to /var/tmp/portage/kde-base/pykde4-4.5.90/work ...
tar: kdebindings-4.5.90/ConfigureChecks.cmake: Not found in archive
tar: kdebindings-4.5.90/config.h.cmake: Not found in archive
tar: Exiting with failure status due to previous errors
 * tar extract command failed at least partially - continuing anyway                                               [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/pykde4-4.5.90/work
>>> Preparing source in /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90 ...
>>> Source prepared.
==========================================


SNIPPED

Linking CXX shared library ../../lib/pykde/kparts.so
[ 62%] Built target python_module_PyKDE4_kparts
[ 63%] Generating sip/solid/sipsolidpart0.cpp, sip/solid/sipsolidpart1.cpp, sip/solid/sipsolidpart2.cpp, sip/solid/sipsolidpart3.cpp, sip/solid/sipsolidpart4.cpp, sip/solid/sipsolidpart5.cpp, sip/solid/sipsolidpart6.cpp, sip/solid/sipsolidpart7.cpp

sip: Unable to find file "QtDeclarative/QtDeclarativemod.sip"
make[2]: *** [python/pykde4/sip/plasma/sipplasmapart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
Scanning dependencies of target python_module_PyKDE4_solid
Scanning dependencies of target python_module_PyKDE4_phonon
[ 64%] [ 65%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_solid.dir/sip/solid/sipsolidpart0.o
Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_solid.dir/sip/solid/sipsolidpart1.o
In file included from /usr/include/python2.7/Python.h:8:0,
                 from /usr/include/python2.7/sip.h:32,
                 from /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90_build/python/pykde4/sip/solid

SNIPPED


<command-line>:0:0: note: this is the location of the previous definition
sipktexteditorpart7.cpp: In function 'PyObject* meth_KTextEditor_createPlugin(PyObject*, PyObject*)':
sipktexteditorpart7.cpp:867:35: warning: 'KTextEditor::Plugin* KTextEditor::createPlugin(KService::Ptr, QObject*)' is deprecated (declared at /usr/include/ktexteditor/plugin.h:206)
sipktexteditorpart7.cpp:867:54: warning: 'KTextEditor::Plugin* KTextEditor::createPlugin(KService::Ptr, QObject*)' is deprecated (declared at /usr/include/ktexteditor/plugin.h:206)
Linking CXX shared library ../../lib/pykde/ktexteditor.so
[ 92%] Built target python_module_PyKDE4_ktexteditor
make: *** [all] Error 2
emake failed
 * ERROR: kde-base/pykde4-4.5.90 failed:
 *   Make failed!
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 6366:  Called kde4-meta_src_compile
 *   environment, line 3859:  Called kde4-base_src_compile
 *   environment, line 3493:  Called cmake-utils_src_compile
 *   environment, line 1688:  Called _execute_optionaly 'src_compile'
 *   environment, line  690:  Called enable_cmake-utils_src_compile
 *   environment, line 2065:  Called cmake-utils_src_make
 *   environment, line 1707:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";


Guess I'm waiting for a few more days before trying either 4.5.90 & kde-live again. Just too many compiling problems I can't seem to sort out right now (if at all :( )

Until these latest updates 4.5.85 and kde-live were going along mostly fine
_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.15.5-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
Voltago
Advocate
Advocate


Joined: 02 Sep 2003
Posts: 2550
Location: In the city of dreaming spires

PostPosted: Thu Dec 23, 2010 3:14 pm    Post subject: Reply with quote

wrc1944 wrote:
Now pykde4-4.5.90 fails.

You need =PyQt4-4.8.1[+declarative]. Already filed a bug.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 6, 7, 8 ... 19, 20, 21  Next
Page 7 of 21

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum